@use "core";
@use "variables";

.form {

    form {
        display: flex;
        flex-direction: column;

        .submit-button {
            margin-top: 1.5rem;
            @include core.fit-content-width();
            @include core.fit-content-height();

            /* Edge compatibility */
            max-height: 2.5em,
        }
    }

    // see https://stackoverflow.com/a/29733127
    .home-newsletter-registration {
        form {

            @media not screen and (max-width: variables.$mobile-width) {
                flex-direction: initial;
                flex-flow: row wrap;

                // form::before,
                form::after {
                    content: '';
                    width: 100%;
                    order: 1;
                }

                >div {
                    width: 40%;
                }

                >div:nth-child(n +1) {
                    order: 1;
                    margin-left: 0px;
                    margin-right: 2rem;
                }

                .button {
                    order: 1;
                }
            }
        }
    }
}